<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <body>


        <ui:composition template="../WEB-INF/template/Template.xhtml">

            <ui:define name="content">

                <h:inputHidden value="#{generoBean.genero.id}" />

                <h:messages id="msg" />
                <p:fieldset legend="Cadastro de Genero">
                    <p:panelGrid columns="2">
                        <h:outputLabel for="id" value="Código" />
                        <h:inputText 
                            id="id" value="#{generoBean.genero.id == 0 ? '' : generoBean.genero.id}"
                            readonly="true"
                            style="width: 40px;" />
                        <h:outputLabel for="descricao" value="Descrição" />
                        <h:inputText id="descricao" value="#{generoBean.genero.descricao}"
                                     required="true" requiredMessage="Campo descrição é obrigatorio!" />
                        <h:panelGroup>
                            <h:commandButton value="Salvar" action="#{generoBean.salvar}" />
                        </h:panelGroup>
                    </p:panelGrid>
                </p:fieldset>

                <p:panel >
                    <p:dataTable var="genero" value="#{generoBean.lista}">
                        <p:column headerText="Código">#{genero.id}</p:column>
                        <p:column headerText="Descrição">#{genero.descricao}</p:column>
                    </p:dataTable>
                </p:panel>

            </ui:define>



        </ui:composition>

    </body>


</html>

